%def_disable static

Name: gtkogltk
Version: 0.3.1
Release: alt1

Summary: OGLTK is a GTK+OpenGL Toolkit
License: LGPL
Group: System/Libraries
Url: http://www.sandorlabs.com/ogltk/

Source: %url/%name-%version.tar.gz

%define gtk_ver 2.2.4
%define gtk_doc_ver 1.1
%define gtkglext_ver 1.0.6

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgtkglext-devel >= %gtkglext_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Thu Mar 18 2004
BuildRequires: XFree86-devel XFree86-libs docbook-dtds docbook-style-dsssl fontconfig freetype2 glib2-devel glibc-devel-static gtk-doc libGLU-devel libatk-devel libgtk+2-devel libgtkglext-devel libpango-devel openjade pkgconfig sgml-common

%description
The purpose of GTK+OGLTK is to simplify creating 3D and 2D  applications
using OpenGL under the Gtk+2.x Application framework.

Using the GObject and signal framework from glib 2.x with Gtk+-2.x and
Gtkglext this toolkit provides programmer with an easy to  use API to
create and manage 3D objects and scenes within a GTK Application.

%package -n lib%name
Summary: A GTK+OpenGL Toolkit
Group: System/Libraries

%description -n lib%name
The purpose of GTK+OGLTK is to simplify creating 3D and 2D  applications
using OpenGL under the Gtk+2.x Application framework.

Using the GObject and signal framework from glib 2.x with Gtk+-2.x and
Gtkglext this toolkit provides programmer with an easy to  use API to
create and manage 3D objects and scenes within a GTK Application.

This package provides a shared OGLTK library.

%package -n lib%name-devel
Summary: A OGLTK development files
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtkglext-devel >= %gtkglext_ver

%description -n lib%name-devel
This package contents development files and documentation
for compiling programs that use OGLTK.

%package -n lib%name-devel-static
Summary: An OGLTK static libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the libraries needed for compiling programs
statically linked against OGLTK.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
export LDFLAGS=-L%_x11libdir
%configure --enable-gtk-doc \
	    %{subst_enable static}

%make_build
%make_build -C docs/reference
#%make_build examples

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS README ChangeLog NEWS

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc docs/reference/html examples

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Mon Dec 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- First build for Sisyphus.

